package mk.ukim.finki.it.reservengo.service.intf;

import mk.ukim.finki.it.reservengo.dto.localDTO.CreateLocalDetailsDTO;
import mk.ukim.finki.it.reservengo.dto.localDTO.DisplayLocalDTO;
import mk.ukim.finki.it.reservengo.model.domain.Local;
import mk.ukim.finki.it.reservengo.model.domain.LocalManager;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface LocalManagerService {
    void uploadLocalLogo(Long localId, MultipartFile logoFile);

    void save(LocalManager localManager);

    void deleteLocalLogo(Long localId);

    void uploadLocalPhotos(Long localId, List<MultipartFile> photos);

    void deleteLocalPhotos(Long localId, List<String> photoPaths);

    void uploadLocalMenu(Long localId, MultipartFile localMenuFile);

    void deleteLocalMenuPhoto(Long localId);

    List<LocalManager> findAllByLocalId(Long localId);

    List<LocalManager> findAll();

    LocalManager findManagerById(Long id);

    void update(Long id, LocalManager manager);

    Local findLocalByManagerId(Long id);

    void editLocalInfo(Long localId, CreateLocalDetailsDTO createLocalDetailsDTO);
}
